| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
libdar::mem_allocator Class Referenceabstract
Private

generic interface of objects that need to be informed that a memory block they manage has been released More...

`#include <mem_allocator.hpp>`

Inherited by libdar::mem_cluster.

## Public Member Functions
| mem_allocator (mem_manager *ptr)
| mem_allocator (const mem_allocator &ref)
const mem_allocator & | operator= (const mem_allocator &ref)
virtual void | release (void *ptr)=0
| this is the interface to use to release a memory block owned by this mem_allocator
virtual U_I | max_percent_full () const =0
| returns the maximum occupation reached for that object (used for debugging purposes)

## Protected Member Functions
mem_manager & | get_manager ()

## Detailed Description

generic interface of objects that need to be informed that a memory block they manage has been released

Definition at line 45 of file mem_allocator.hpp.

The documentation for this class was generated from the following file:

- mem_allocator.hpp